import { createApp } from 'vue'
import App from './App.vue'
import store from './store'
import router from './router'
// 引入iview
import ViewUIPlus from 'view-ui-plus'
import 'view-ui-plus/dist/styles/viewuiplus.css'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import 'normalize.css' // css初始化
import './assets/style/common.scss' // 公共css
import '@/assets/iconfont/iconfont.css'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'

const app = createApp(App)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}
app.use(store)
// app.config.performance = true
app.use(ViewUIPlus)
app.use(ElementPlus, { size: store.state.app.elementSize })

app.use(router).mount('#app')
